# coding: utf-8
############################################################################
# Copyright 2009,2010 Benjamin Kellermann                                  #
# Copyright 2015, Sebastian Marske                                         #
#                                                                          #
# This file is part of dudle.                                              #
#                                                                          #
# Dudle is free software: you can redistribute it and/or modify it under   #
# the terms of the GNU Affero General Public License as published by       #
# the Free Software Foundation, either version 3 of the License, or        #
# (at your option) any later version.                                      #
#                                                                          #
# Dudle is distributed in the hope that it will be useful, but WITHOUT ANY #
# WARRANTY; without even the implied warranty of MERCHANTABILITY or        #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public     #
# License for more details.                                                #
#                                                                          #
# You should have received a copy of the GNU Affero General Public License #
# along with dudle.  If not, see <http://www.gnu.org/licenses/>.           #
############################################################################

# Choose your favorite version control system
# bzr and git are implemented
# Warning: bzr is slow!
# Warning: git needs git >=1.6.5
# $conf.vcs = "git"
$conf.vcs = "git"

# Change only if the url is not determined correctly (e.g. at the start page)
# $conf.siteurl = "http://example.org:9999/exampledir"
#$conf.siteurl = "https://dudle.hu-berlin.de/"

# You may insert some sites, which are under your site
# A breadcrumb will be generated in the way:
# TUD -> ... -> Fakultät Informatik -> Professur DuD -> dudle -> poll
#$conf.breadcrumbs = [
#	"<a href='http://tu-dresden.de'>TUD</a>",
#	"...",
#	"<a href='http://www.inf.tu-dresden.de'>Fakultät Informatik</a>",
#	"<a href='http://dud.inf.tu-dresden.de'>Professur Datenschutz und Datensicherheit</a>"
#]
$conf.breadcrumbs = [
	"<a href='https://www.hu-berlin.de'>HU Berlin</a>"
]

# If you want to encourage the user to send bug reports, state the errorlog,
# which you have configured in your apache conf with the ErrorLog directive.
# In addition, you can change the email address to yours, if you want to
# receive the mails instead of me (the developer).
# You would do me a favor, if you configure this with my address, however,
# if you do not want people to read parts of your error log, leave the 
# $conf.errorlog unset!
# Make sure, that your apache can read this file 
# (which usually is not the case for /var/log/apache2/*)
# You have 2 Options: 
#   1. change logrotate to allow /var/log/apache2/* to be read by apache
#      (=> change the line »create 640 root adm«)
#   2. change $conf.errorlog to another file and creat a new rule for logrotate.
#      DO NOT FORGET TO ADD THE ERROR LOG TO LOGROTATE IF YOU CHANGE THE PATH
#      TO OTHER THAN /var/log/apache2/* !
# If you do not know what to do what I am speaking about, just do not uncomment
# the next line
#$conf.errorlog = "/var/log/dudle_error.log"
#$conf.bugreportmail = "Benjamin.Kellermann@gmx.de"
$conf.bugreportmail = "webtech@cms.hu-berlin.de"

# Send bug reports automatically with the programm “mail”
$conf.auto_send_report = false

# add the htmlcode in the Variable INDEXNOTICE to the startpage
# Example: displays all available Polls
#$conf.indexnotice = <<INDEXNOTICE
#<h2>Available Polls</h2>
#<table>
#	<tr>
#		<th>Poll</th><th>Last change</th>
#	</tr>
#INDEXNOTICE
#Dir.glob("*/data.yaml").sort_by{|f|
#	File.new(f).mtime
#}.reverse.collect{|f| f.gsub(/\/data\.yaml$/,'') }.each{|site|
#	$conf.indexnotice += <<INDEXNOTICE
#<tr class='participantrow'>
#	<td class='polls'><a href='./#{CGI.escapeHTML(site).gsub("'","%27")}/'>#{CGI.escapeHTML(site)}</a></td>
#	<td class='mtime'>#{File.new(site + "/data.yaml").mtime.strftime('%d.%m, %H:%M')}</td>
#</tr>
#INDEXNOTICE
#}
#$conf.indexnotice += "</table>"
$conf.indexnotice = <<INDEXNOTICE
<h2>#{_("Remarks on privacy protection")}</h2>
HU-Dudle ...
<ul style="list-style: square">
	<li>#{_("saves only necessary information")}
		<ul style="list-style: square">
			<li>#{_("entered data (name, choice)")}
			<li>#{_("time of selection")}
			<li><strong>#{_("no")}</strong> #{_("IP addresses")}
			<li><strong>#{_("no")}</strong> #{_("browser information")}
		</ul>
	<li>#{_("does not require an account for login and can thus be used anonymously")}
	<li>#{_("is based on free software")}
</ul>
<div class="warning">
	#{_("Polls, that are not accessed for 90 days, are deleted automatically.")}
</div>
INDEXNOTICE


# Add some Example Polls to the example page
# you may create those using the normal interface
# and make them password protected afterwards
# .htaccess and .htdigest are deleted after 
# example creation (defining password protected 
# EXamples is not possible therefore)
#$conf.examples = [
#	{
#		:url => "coffeebreak",
#		:description => _("Event Schedule Poll"),
#		:new_environment => true,
#	},{
#		:url => "coffee",
#		:description => _("Normal Poll"),
#		:revno => 34
#	},{
#		:url => "Cheater",
#		:description => "Cheater",
#		:hidden => true
#	}
#]
$conf.examples = [
	{
		:url => "kaffeepause",
		:description => _("Event Schedule Poll"),
		:new_environment => true,
		:revno => 20,
	},{
		:url => "kuchen",
		:description => _("Normal Poll"),
		:new_environment => true,
		:revno => 17,
	},
]

# add the htmlcode in the Variable EXAMPLENOTICE to the example page
#$conf.examplenotice = <<EXAMPLENOTICE
#	<h2>Screencasts</h2>
#	<ol>
#		<li><a href="0-register.ogv">Register a new user</a></li>
#		<li><a href="1-setup.ogv">Setup a new poll</a></li>
#		<li><a href="2-participate.ogv">Participate in a poll</a></li>
#	</ol>
#EXAMPLENOTICE

# add the htmlcode in the Variable ABOUTNOTICE to the about page
#$conf.aboutnotice = <<ABOUTNOTICE
#<div class='textcolumn'>
#	<h2>Bugs/Features</h2>
#	<ul>
#		<li><a href="Bugs">Report a Bug</a></li>
#		<li><a href="Features">Request a Feature</a></li>
#	</ul>
#</div>
#ABOUTNOTICE
$conf.aboutnotice = <<ABOUTNOTICE
<div class='textcolumn'>
	<h2>HU-Dudle</h2>
	#{_("This website runs a customized version of Dudle. You can get a copy of it here:")}
	<br /><a href='hu-dudle.tar'>Download</a>
</div>
ABOUTNOTICE


# choose a default stylesheet
# e.g., "classic.css", "css/foobar.css", ...
$conf.default_css = "css/HUB.css"

$conf.enable_style_selector = false
$conf.enable_comments = false
$conf.randpath_length = 20
$conf.enable_custom_url = false
$conf.enable_langswitch = false
$conf.enable_breadcrumbs = false

$conf.header = []
$conf.footer = []
$conf.header << <<HTMLHEADER
<div id="page-border">
	<div id="header">
		<div id="pre_spacer">
			<div id="headernote">
				<a href="https://dudle.hu-berlin.de/">
					<strong>HU-Dudle</strong><br></br>
					#{_("Event scheduling and coordination")}
				</a>
			</div>
		</div>
		<a id="headerpic" href="https://dudle.hu-berlin.de/">
			<img src="https://www3.hu-berlin.de/bilder/folderimages/cms/Kabel_1_2012_Sylvia_Scholz.jpg" title="#{_("Coordination is important!")}"></img>
		</a>
		<a id="logo" href="https://www.hu-berlin.de"></a>
		<div id="headermenu"></div>
	</div>
	<div id="page-content" class="row-fluid">
		<div id="page-content-main">
			<div class="row-fluid">
HTMLHEADER
$conf.footer << <<HTMLFOOTER
			</div>
		</div>
		<aside id="main-right">
			<div class="aside-block">
				<div class="aside-header"><h2>HU-Support</h2></div>
				<div class="aside-content"><div class="no-overflow">
					<p>
						<a href="https://www.cms.hu-berlin.de/" title="#{_("CMS-Homepage")}">#{_("CMS-Homepage")}</a><br>
						<a href="mailto:webtech@cms.hu-berlin.de" title="#{_("Mail to the web support team")}">webtech@hu-berlin.de</a>
					</p>
					<p>
						<a href="http://amor.hu-berlin.de/" title="#{_("Service overview of the CMS user support")}">#{_("CMS user support")}</a><br>2093-70000 |&nbsp;
						<a href="mailto:oper@cms.hu-berlin.de?subject=Dudle" title="#{_("Mail to the CMS user support")} (HU-Account)">Mail</a>
					</p>
					<p>
						<a href="http://www.cms.hu-berlin.de/impressum/support" title="#{_("CMS support overview")}">CMS-Support</a>
					</p>
				</div></div>
			</div>
			<div class="aside-block">
				<div class="aside-header"><h2>#{_("More HU services")}</h2></div>
				<div class="aside-content"><div class="no-overflow">
					<p>
						<a href="https://webmail.cms.hu-berlin.de/roundcubemail/" title="Roundcube WebMail" style="line-height: 1.231;">WebMail<br></a>
						<a href="https://amor.cms.hu-berlin.de" title="HU-Account" style="line-height: 1.231;">HU-Account<br></a>
						<a href="https://www.cms.hu-berlin.de/dl/netze/wlan/standardseite" title="#{_("Notes on WLAN access")}" style=line-height: 1.231;">WLAN<br></a>
						<a href="https://www.cms.hu-berlin.de/dl/netze/vpn/standardseite" title="#{_("Notes on VPN access")}" style=line-height: 1.231;">VPN<br></a>
						<a href="https://www.hu-berlin.de/service" title="#{_("Important contact persons at HU")}" style="line-height: 1.231;">HU Service<br></a>
					</p>
				</div></div>
			</div>
		</aside>
	</div>
	<div id="footer">
		© Benjamin Kellermann, TU Dresden | © ZE CMS, Humboldt-Universität zu Berlin | <a href="mailto:cms-benutzerberatung@hu-berlin.de?subject=Dudle">#{_("Contact")}</a> | <a href="https://www.hu-berlin.de/de/hu/impressum">Impressum</a>  | <a href="https://www.hu-berlin.de/de/hu/impressum/datenschutzerklaerung" title="Datenschutzerklärung">Datenschutzerklärung</a>
	</div>
</div>
HTMLFOOTER

